package cn.gov.customs.demo.service;

import cn.gov.customs.demo.pojo.OrderInfo;
import cn.gov.customs.demo.pojo.OrderQueryInfo;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @description TODO
 * @author sunxuewen
 * @since 2024/11/21 上午8:25
 */
public interface OrderService {

  OrderInfo get(String orderId);

  PageInfo<OrderInfo> getPageList(OrderQueryInfo query);

  int insert(OrderInfo info);

  int update(OrderInfo info);

  int delete(String orderId);
}
